### Method

# Vte Terminal get_geometry_hints

deprecated: 0.52

#### Declaration [src]

    void
    vte_terminal_get_geometry_hints (
      VteTerminal* terminal,
      GdkGeometry* hints,
      int min_rows,
      int min_columns
    )

#### Description [src]

Fills in some `hints` from `terminal`‘s geometry. The hints filled are those covered by the `GDK_HINT_RESIZE_INC`, `GDK_HINT_MIN_SIZE` and `GDK_HINT_BASE_SIZE` flags.

See `gtk_window_set_geometry_hints()` for more information.

`terminal` must be realized (see gtk_widget_get_realized()).

Deprecated since: 0.52

Please do not use it in newly written code.

#### Parameters

`hints`

  Type: `GdkGeometry`

  A `GdkGeometry` to fill in.

  The argument will be set by the function.
  The returned data is owned by the instance.

`min_rows`

  Type: `int`

  The minimum number of rows to request.

`min_columns`

  Type: `int`

  The minimum number of columns to request.